class BlockContentTypeListBuilder

Defines a class to build a listing of block type entities.

Hierarchy

Expanded class hierarchy of BlockContentTypeListBuilder

See also

\Drupal\block_content\Entity\BlockContentType

1 file declares its use of BlockContentTypeListBuilder
BlockContentType.php in core/modules/block_content/src/Entity/BlockContentType.php

File

core/modules/block_content/src/BlockContentTypeListBuilder.php, line 13

Namespace

Drupal\block_content
View source
class BlockContentTypeListBuilder extends ConfigEntityListBuilder {
  
  /**
   * {@inheritdoc}
   */
  protected function getDefaultOperations(EntityInterface $entity) {
    $operations = parent::getDefaultOperations($entity);
    // Place the edit operation after the operations added by field_ui.module
    // which have the weights 15, 20, 25.
    if (isset($operations['edit'])) {
      $operations['edit']['weight'] = 30;
    }
    return $operations;
  }
  
  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['type'] = $this->t('Block type');
    $header['description'] = $this->t('Description');
    return $header + parent::buildHeader();
  }
  
  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    $row['type'] = $entity->toLink(NULL, 'edit-form')
      ->toString();
    $row['description']['data']['#markup'] = $entity->getDescription();
    return $row + parent::buildRow($entity);
  }
  
  /**
   * {@inheritdoc}
   */
  protected function getTitle() {
    return $this->t('Block types');
  }

}

Members

Title Sort descending Modifiers Object type Summary Overriden Title Overrides
BlockContentTypeListBuilder::buildHeader public function Builds the header row for the entity listing. Overrides EntityListBuilder::buildHeader
BlockContentTypeListBuilder::buildRow public function Builds a row for an entity in the entity listing. Overrides EntityListBuilder::buildRow
BlockContentTypeListBuilder::getDefaultOperations protected function Gets this list's default operations. Overrides ConfigEntityListBuilder::getDefaultOperations
BlockContentTypeListBuilder::getTitle protected function Gets the title of the page. Overrides EntityListBuilder::getTitle
ConfigEntityListBuilder::$storage protected property The config entity storage class. Overrides EntityListBuilder::$storage
ConfigEntityListBuilder::getStorage public function Gets the config entity storage. Overrides EntityListBuilder::getStorage
ConfigEntityListBuilder::load public function Loads entities of this type from storage for listing. Overrides EntityListBuilder::load 5
DependencySerializationTrait::$_entityStorages protected property An array of entity type IDs keyed by the property name of their storages.
DependencySerializationTrait::$_serviceIds protected property An array of service IDs keyed by property name used for serialization.
DependencySerializationTrait::__sleep public function 2
DependencySerializationTrait::__wakeup public function 2
EntityHandlerBase::$moduleHandler protected property The module handler to invoke hooks on. 4
EntityHandlerBase::moduleHandler protected function Gets the module handler. 4
EntityHandlerBase::setModuleHandler public function Sets the module handler for this handler.
EntityListBuilder::$entityType protected property Information about the entity type.
EntityListBuilder::$entityTypeId protected property The entity type ID.
EntityListBuilder::$limit protected property The number of entities to list per page, or FALSE to list all entities.
EntityListBuilder::buildOperations public function Builds a renderable list of operation links for the entity. 2
EntityListBuilder::createInstance public static function Instantiates a new instance of this entity handler. Overrides EntityHandlerInterface::createInstance 21
EntityListBuilder::ensureDestination protected function Ensures that a destination is present on the given URL. 1
EntityListBuilder::getEntityIds protected function Loads entity IDs using a pager sorted by the entity id. 4
EntityListBuilder::getEntityListQuery protected function Returns a query object for loading entity IDs from the storage. 1
EntityListBuilder::getOperations public function Provides an array of information to build a list of operation links. Overrides EntityListBuilderInterface::getOperations 4
EntityListBuilder::render public function Builds the entity listing as renderable array for table.html.twig. Overrides EntityListBuilderInterface::render 16
EntityListBuilder::SORT_KEY protected constant The entity key to sort the list by. 1
EntityListBuilder::__construct public function Constructs a new EntityListBuilder object. 17
MessengerTrait::$messenger protected property The messenger. 25
MessengerTrait::messenger public function Gets the messenger. 25
MessengerTrait::setMessenger public function Sets the messenger.
RedirectDestinationTrait::$redirectDestination protected property The redirect destination service. 2
RedirectDestinationTrait::getDestinationArray protected function Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationTrait::getRedirectDestination protected function Returns the redirect destination service.
RedirectDestinationTrait::setRedirectDestination public function Sets the redirect destination service.
StringTranslationTrait::$stringTranslation protected property The string translation service. 3
StringTranslationTrait::formatPlural protected function Formats a string containing a count of items.
StringTranslationTrait::getNumberOfPlurals protected function Returns the number of plurals supported by a given language.
StringTranslationTrait::getStringTranslation protected function Gets the string translation service.
StringTranslationTrait::setStringTranslation public function Sets the string translation service to use. 2
StringTranslationTrait::t protected function Translates a string to the current language or to a given language. 1

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.